Skip to content
OpenPostDocs
OpenPostDocs
Auth

Generate a replacement recovery-code set after reauthentication

POST/auth/security/totp/recovery-codes/regenerate

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X POST "https://example.com/auth/security/totp/recovery-codes/regenerate" \  -H "Content-Type: application/json" \  -d '{    "current_password": "string"  }'
{  "$schema": "https://example.com/api/v1/schemas/RecoveryCodeSetOutputBody.json",  "challenge_id": "string",  "recovery_codes": [    "string"  ]}